Index: final-system/mips/file.xml
===================================================================
--- final-system/mips/file.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ final-system/mips/file.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -25,5 +25,5 @@
     <filename>config.sub</filename> for MIPS processors.</para>
 
-<screen os="m2"><userinput>patch -Np1 -i ../&file-mips_update-patch;</userinput></screen>
+<screen os="m2"><userinput>patch -Np1 -i ../&file-config_update-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/mips/grep.xml
===================================================================
--- final-system/mips/grep.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ final-system/mips/grep.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -25,5 +25,5 @@
     <filename>config.sub</filename> for MIPS processors.</para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../&grep-mips_update-patch;</userinput></screen>
+<screen os="p2"><userinput>patch -Np1 -i ../&grep-config_update-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/mips/module-init-tools.xml
===================================================================
--- final-system/mips/module-init-tools.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ final-system/mips/module-init-tools.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -25,5 +25,5 @@
     <filename>config.sub</filename> for MIPS processors.</para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../&module-init-tools-mips_update-patch;</userinput></screen>
+<screen os="p2"><userinput>patch -Np1 -i ../&module-init-tools-config_update-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: materials/mips/patches.xml
===================================================================
--- materials/mips/patches.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ materials/mips/patches.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -22,19 +22,19 @@
     </varlistentry>
 
-    <varlistentry os="expect-mips_update-patch">
-      <term>Expect Config Update Patch - <token>&expect-mips_update-patch-size;</token>:</term>
+    <varlistentry os="expect-config_update-patch">
+      <term>Expect Config Update Patch - <token>&expect-config_update-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;expect/&expect-mips_update-patch;"/></para>
-        <para>MD5 sum: <literal>&expect-mips_update-patch-md5;</literal></para>
+        url="&patches-root;expect/&expect-config_update-patch;"/></para>
+        <para>MD5 sum: <literal>&expect-config_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
 
-    <varlistentry os="file-mips_update-patch">
-      <term>File Config Update Patch -  <token>&file-mips_update-patch-size;</token>:</term>
+    <varlistentry os="file-config_update-patch">
+      <term>File Config Update Patch -  <token>&file-config_update-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;file/&file-mips_update-patch;"/></para>
-        <para>MD5 sum: <literal>&file-mips_update-patch-md5;</literal></para>
+        url="&patches-root;file/&file-config_update-patch;"/></para>
+        <para>MD5 sum: <literal>&file-config_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
@@ -53,10 +53,10 @@
     </varlistentry>
 
-    <varlistentry os="grep-mips_update-patch">
-      <term>Grep Config Update Patch - <token>&grep-mips_update-patch-size;</token>:</term>
+    <varlistentry os="grep-config_update-patch">
+      <term>Grep Config Update Patch - <token>&grep-config_update-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;grep/&grep-mips_update-patch;"/></para>
-        <para>MD5 sum: <literal>&grep-mips_update-patch-md5;</literal></para>
+        url="&patches-root;grep/&grep-config_update-patch;"/></para>
+        <para>MD5 sum: <literal>&grep-config_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
@@ -80,10 +80,10 @@
     </varlistentry>
 
-    <varlistentry os="module-init-tools-mips_update-patch">
-      <term>Module-init-tools Config Update Patch - <token>&module-init-tools-mips_update-patch-size;</token>:</term>
+    <varlistentry os="module-init-tools-config_update-patch">
+      <term>Module-init-tools Config Update Patch - <token>&module-init-tools-config_update-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;module-init-tools/&module-init-tools-mips_update-patch;"/></para>
-        <para>MD5 sum: <literal>&module-init-tools-mips_update-patch-md5;</literal></para>
+        url="&patches-root;module-init-tools/&module-init-tools-config_update-patch;"/></para>
+        <para>MD5 sum: <literal>&module-init-tools-config_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: materials/mips64-64/patches.xml
===================================================================
--- materials/mips64-64/patches.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ materials/mips64-64/patches.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -23,9 +23,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='expect-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='expect-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='file-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='file-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -43,5 +43,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='grep-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='grep-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -55,5 +55,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='module-init-tools-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='module-init-tools-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: materials/mips64/patches.xml
===================================================================
--- materials/mips64/patches.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ materials/mips64/patches.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -31,9 +31,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='expect-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='expect-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='file-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='file-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -47,5 +47,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='grep-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='grep-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -59,5 +59,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='module-init-tools-mips_update-patch'])"/>
+    xpointer="xpointer(//*[@os='module-init-tools-config_update-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: materials/ppc64/patches.xml
===================================================================
--- materials/ppc64/patches.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ materials/ppc64/patches.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -30,10 +30,10 @@
     xpointer="xpointer(//*[@os='gcc-specs-patch'])"/>
 
-    <varlistentry os="mktemp-update-patch">
-      <term>Mktemp Config Update Patch - <token>&mktemp-update-patch-size;</token>:</term>
+    <varlistentry os="mktemp-config_update-patch">
+      <term>Mktemp Config Update Patch - <token>&mktemp-config_update-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;mktemp/&mktemp-update-patch;"/></para>
-        <para>MD5 sum: <literal>&mktemp-update-patch-md5;</literal></para>
+        url="&patches-root;mktemp/&mktemp-config_update-patch;"/></para>
+        <para>MD5 sum: <literal>&mktemp-config_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: patches.ent
===================================================================
--- patches.ent	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ patches.ent	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -157,4 +157,28 @@
 <!ENTITY gcc-pure64-patch-size "15 KB">
 
+<!-- Start of Config Update patches -->
+
+<!ENTITY expect-config_update-patch "expect-&expect-version;-config_update-1.patch">
+<!ENTITY expect-config_update-patch-md5 "eb8989a8baf11e0f02efbdf7e6843fc1">
+<!ENTITY expect-config_update-patch-size "51 KB">
+
+<!ENTITY file-config_update-patch "file-&file-version;-config_update-1.patch">
+<!ENTITY file-config_update-patch-md5 "aee7ed8aa5cf781ae8c58d04194ce45a">
+<!ENTITY file-config_update-patch-size "33 KB">
+
+<!ENTITY grep-config_update-patch "grep-&grep-version;-config_update-1.patch">
+<!ENTITY grep-config_update-patch-md5 "085690e21bf2c8c27aca987f73389c90">
+<!ENTITY grep-config_update-patch-size "48 KB">
+
+<!ENTITY module-init-tools-config_update-patch "module-init-tools-&module-init-tools-version;-config_update-1.patch">
+<!ENTITY module-init-tools-config_update-patch-md5 "bdc816dd354e254f8053751286903f1c">
+<!ENTITY module-init-tools-config_update-patch-size "33 KB">
+
+<!-- Multiple Architecture patches -->
+
+<!ENTITY mktemp-update-patch "mktemp-&mktemp-version;-config_update-1.patch">
+<!ENTITY mktemp-update-patch-md5 "2eab6432dbf4d4447b85435363c6a557">
+<!ENTITY mktemp-update-patch-size "56 KB">
+
 <!-- Start of Alpha patches -->
 
@@ -173,20 +197,8 @@
 <!ENTITY dvhtool-fixes-patch-size "6.2 KB">
 
-<!ENTITY expect-mips_update-patch "expect-&expect-version;-mips_config_update-1.patch">
-<!ENTITY expect-mips_update-patch-md5 "eb8989a8baf11e0f02efbdf7e6843fc1">
-<!ENTITY expect-mips_update-patch-size "51 KB">
-
-<!ENTITY file-mips_update-patch "file-&file-version;-mips_config_update-1.patch">
-<!ENTITY file-mips_update-patch-md5 "aee7ed8aa5cf781ae8c58d04194ce45a">
-<!ENTITY file-mips_update-patch-size "33 KB">
-
 <!ENTITY glibc-mips-patch "glibc-&glibc-version;-mips_fixes-1.patch">
 <!ENTITY glibc-mips-patch-md5 "d1b48de82f31118da51bea1d9c3c7c2c">
 <!ENTITY glibc-mips-patch-size "1 KB">
 
-<!ENTITY grep-mips_update-patch "grep-&grep-version;-mips_config_update-1.patch">
-<!ENTITY grep-mips_update-patch-md5 "085690e21bf2c8c27aca987f73389c90">
-<!ENTITY grep-mips_update-patch-size "48 KB">
-
 <!ENTITY linux-mips-patch "linux-&linux-version;-mips-1.patch">
 <!ENTITY linux-mips-patch-md5 "2b6dd81e8321b12acd736a8445411dd9">
@@ -194,11 +206,4 @@
 
 <!-- this is also used for ppc64 -->
-<!ENTITY mktemp-update-patch "mktemp-&mktemp-version;-config_update-1.patch">
-<!ENTITY mktemp-update-patch-md5 "2eab6432dbf4d4447b85435363c6a557">
-<!ENTITY mktemp-update-patch-size "56 KB">
-
-<!ENTITY module-init-tools-mips_update-patch "module-init-tools-&module-init-tools-version;-mips_config_update-1.patch">
-<!ENTITY module-init-tools-mips_update-patch-md5 "bdc816dd354e254f8053751286903f1c">
-<!ENTITY module-init-tools-mips_update-patch-size "33 KB">
 
 <!ENTITY util-linux-mips64-patch "util-linux-&util-linux-version;-mips64_fix-1.patch">
Index: testsuite-tools/mips/expect.xml
===================================================================
--- testsuite-tools/mips/expect.xml	(revision 9a69f1b99386edfd8cc35e916d03b033eed68d85)
+++ testsuite-tools/mips/expect.xml	(revision 4598fd3520cce4b44f336ff06452ce2322f5c2e8)
@@ -36,5 +36,5 @@
     <para os="p1">This patch updates config.guess and config.sub for MIPS processors:</para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../&expect-mips_update-patch;</userinput></screen>
+<screen os="p2"><userinput>patch -Np1 -i ../&expect-config_update-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"