Index: final-system/alpha/linux-headers.xml
===================================================================
--- final-system/alpha/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/alpha/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-alpha/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -ar include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-alpha/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/mips/linux-headers.xml
===================================================================
--- final-system/mips/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/mips/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen os="mf"><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-mips/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -ar include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-mips/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/ppc/linux-headers.xml
===================================================================
--- final-system/ppc/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/ppc/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-ppc/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -ar include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-ppc/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/ppc64/linux-headers.xml
===================================================================
--- final-system/ppc64/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/ppc64/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-powerpc/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -ar include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-powerpc/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/sparc/linux-headers.xml
===================================================================
--- final-system/sparc/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/sparc/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-sparc/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -ar include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-sparc/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/sparc64-64/linux-headers.xml
===================================================================
--- final-system/sparc64-64/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/sparc64-64/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,net,scsi,sound}
-cp -av include/asm-sparc64/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -av include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-sparc64/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/sparc64/linux-headers.xml
===================================================================
--- final-system/sparc64/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/sparc64/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,19 +30,15 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,asm-sparc64,asm-sparc,linux,mtd,net,scsi,sound}
-cp -av include/asm-sparc64/* /usr/include/asm-sparc64
-cp -av include/asm-sparc/* /usr/include/asm-sparc
-cp -av include/asm-sparc-biarch/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -av include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen><userinput>chown -Rv root:root /usr/include/{asm,asm-sparc,asm-sparc64,linux,mtd,scsi}</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>install -dv /usr/include/{asm-sparc64,asm-sparc}
+cp -av include/asm-sparc64/* /usr/include/asm-sparc64
+cp -av include/asm-sparc/* /usr/include/asm-sparc</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -50,6 +46,12 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen><userinput>find /usr/include/{asm,asm-sparc,asm-sparc64,linux,mtd,scsi} -type d -exec chmod -v 755 {} \;
-find /usr/include/{asm,asm-sparc,asm-sparc64,linux,mtd,scsi} -type f -exec chmod -v 644 {} \;</userinput></screen>
+<screen><userinput>chown -Rv root:root /usr/include/{asm,asm-generic,asm-sparc,asm-sparc64,linux,mtd,scsi}</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+<screen><userinput>find /usr/include/{asm,asm-generic,asm-sparc,asm-sparc64,linux,mtd,scsi} -type d -exec chmod -v 755 {} \;
+find /usr/include/{asm,asm-generic,asm-sparc,asm-sparc64,linux,mtd,scsi} -type f -exec chmod -v 644 {} \;</userinput></screen>
 
   </sect2>
Index: final-system/x86/linux-headers.xml
===================================================================
--- final-system/x86/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/x86/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -44,8 +44,8 @@
     the book.</para>
 
-    <para os="b">Install the header files:</para>
+    <para os="b">Install the header files that are common to all architectures:</para>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,scsi}
-cp -av include/asm-i386/* /usr/include/asm
+<screen os="c"><userinput>install -dv /usr/include/{asm,asm-generic,linux,net,mtd,scsi,sound}
+cp -av include/asm-generic/* /usr/include/asm-generic
 cp -av include/linux/* /usr/include/linux
 cp -av include/mtd/* /usr/include/mtd
@@ -54,13 +54,17 @@
 cp -av include/sound/* /usr/include/sound</userinput></screen>
 
-    <para os="c">Ensure that all the headers are owned by
+    <para os="d">Install the header files that are specific to this architecture:</para>
+
+<screen><userinput>cp -av include/asm-i386/* /usr/include/asm</userinput></screen>
+
+    <para os="e">Ensure that all the headers are owned by
     <systemitem class="username">root</systemitem>:</para>
 
-<screen os="d"><userinput>chown -Rv root:root /usr/include/{asm,linux,mtd,net,scsi,sound}</userinput></screen>
+<screen os="f"><userinput>chown -Rv root:root /usr/include/{asm,linux,mtd,net,scsi,sound}</userinput></screen>
 
-    <para os="e">Make sure the users can read the headers:</para>
+    <para os="g">Make sure the users can read the headers:</para>
 
-<screen os="f"><userinput>find /usr/include/{asm,linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
-find /usr/include/{asm,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
+<screen os="h"><userinput>find /usr/include/{asm,asm-generic-linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
+find /usr/include/{asm,asm-generic,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
 
   </sect2>
Index: final-system/x86_64-64/linux-headers.xml
===================================================================
--- final-system/x86_64-64/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/x86_64-64/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,12 +30,4 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,linux,mtd,scsi}
-cp -av include/asm-x86_64/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -av include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
@@ -45,4 +37,6 @@
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>cp -av include/asm-x86_64/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -54,4 +48,12 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
   </sect2>
 
Index: final-system/x86_64/linux-headers.xml
===================================================================
--- final-system/x86_64/linux-headers.xml	(revision e85011e492d081d458a0c43de7ab29929508c9f3)
+++ final-system/x86_64/linux-headers.xml	(revision 4677eac5fd96187e132f9b4d9794066a1dcb577d)
@@ -30,19 +30,16 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen><userinput>install -dv /usr/include/{asm,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound}
-cp -av include/asm-i386/* /usr/include/asm-i386
-cp -av include/asm-x86_64/* /usr/include/asm-x86_64
-cp -av include/asm-x86_64-biarch/* /usr/include/asm
-cp -av include/linux/* /usr/include/linux
-cp -av include/mtd/* /usr/include/mtd
-cp -av include/net/* /usr/include/net
-cp -av include/scsi/* /usr/include/scsi
-cp -av include/sound/* /usr/include/sound</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86/linux-headers.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen><userinput>chown -Rv root:root /usr/include/{asm,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound}</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+<screen><userinput>install -dv /usr/include/{asm-i386,asm-x86_64}
+cp -av include/asm-i386/* /usr/include/asm-i386
+cp -av include/asm-x86_64/* /usr/include/asm-x86_64
+cp -av include/asm-x86_64-biarch/* /usr/include/asm</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -50,6 +47,12 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen><userinput>find /usr/include/{asm,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
-find /usr/include/{asm,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
+<screen><userinput>chown -Rv root:root /usr/include/{asm,asm-generic,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound}</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/linux-headers.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+<screen><userinput>find /usr/include/{asm,asm-generic,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
+find /usr/include/{asm,asm-generic,asm-i386,asm-x86_64,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
 
   </sect2>