Index: BOOK/index.xml
===================================================================
--- BOOK/index.xml	(revision 2f3e4d8d79c9619fa882453e4911d8e8c1a3ed3f)
+++ BOOK/index.xml	(revision 4820ba3fcee82ba47e48f196e419685567321789)
@@ -7,5 +7,5 @@
 
 <bookinfo>
-  <title>Cross Linux From Scratch</title>
+  <title>Cross-Compiled Linux From Scratch</title>
   <subtitle>Version &version;</subtitle>
 
@@ -27,5 +27,5 @@
 
   <bibliosource>
-    <emphasis>Based on Linux From Scratch, Copyright © 1999&ndash;2006 Gerard Beekmans</emphasis>
+    <emphasis>Based on LFS, Copyright © 1999&ndash;2006 Gerard Beekmans</emphasis>
   </bibliosource>
 
Index: BOOK/prologue/x86/bookinfo.xml
===================================================================
--- BOOK/prologue/x86/bookinfo.xml	(revision 2f3e4d8d79c9619fa882453e4911d8e8c1a3ed3f)
+++ BOOK/prologue/x86/bookinfo.xml	(revision 4820ba3fcee82ba47e48f196e419685567321789)
@@ -27,26 +27,19 @@
 
   <legalnotice>
+    <para>Copyright (c) 2005, Jim Gifford &amp; Ryan Oliver</para>
 
-    <para>Cross Linux From Scratch uses the MIT License</para>
+    <para>All rights reserved.</para>
 
-    <para>Cross Linux from Scratch is based off of Linux From Scratch
-    <ulink url="http://www.linuxfromscratch.org"/></para>
-
-    <para>Copyright (c) 2005&ndash;2006, Jim Gifford &amp; Ryan Oliver</para>
-
-    <para>Permission is hereby granted, free of charge, to any person obtaining
-    a copy of this software and associated documentation files (the "Software"),
-    to deal in the Software without restriction, including without limitation
-    the rights to use, copy, modify, merge, publish, distribute, sublicense,
-    and/or sell copies of the Software, and to permit persons to whom the
-    Software is furnished to do so, subject to the following conditions:</para>
+    <para>Redistribution and use in source and binary forms, with or without
+    modification, are permitted provided that the following conditions are
+    met:</para>
 
     <itemizedlist>
       <listitem>
-        <para>Redistributions in any form must retain the above copyright notice,
-         this list of conditions and the following disclaimer</para>
+        <para>Redistributions in any form must retain the above copyright
+        notice, this list of conditions and the following disclaimer</para>
       </listitem>
       <listitem>
-        <para>Neither the name of <quote>Cross Linux From Scratch</quote> nor the
+        <para>Neither the name of <quote>Linux From Scratch</quote> nor the
         names of its contributors may be used to endorse or promote products
         derived from  this material without specific prior written
@@ -54,19 +47,20 @@
       </listitem>
       <listitem>
-        <para>Any material derived from Cross Linux From Scratch must contain
-        a reference to the <quote>Cross Linux From Scratch</quote> project</para>
+        <para>Any material derived from Linux From Scratch must contain
+        a reference to the <quote>Linux From Scratch</quote> project</para>
       </listitem>
     </itemizedlist>
 
-    <para>The above copyright notice and this permission notice shall be included
-     in all copies or substantial portions of the Software.</para>
-
-    <para>THE SOFTWARE IS PROVIDED <quote>AS IS</quote>, WITHOUT WARRANTY OF ANY
-    KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
-    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
-    DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
-    OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
-    THE USE OR OTHER DEALINGS IN THE SOFTWARE.</para>
+    <para>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+    <quote>AS IS</quote> AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
+    BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
+    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+    OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+    ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</para>
 
   </legalnotice>