Index: BOOK/boot/alpha/kernel.xml
===================================================================
--- BOOK/boot/alpha/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/alpha/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/mips/kernel.xml
===================================================================
--- BOOK/boot/mips/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/mips/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -28,4 +28,16 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='ba'])"/>
@@ -42,8 +54,4 @@
     href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='bd'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/mips64/kernel.xml
===================================================================
--- BOOK/boot/mips64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/mips64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -28,4 +28,16 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='ba'])"/>
@@ -42,8 +54,4 @@
     href="../../bootable/mips/kernel.xml"
     xpointer="xpointer(//*[@os='bd'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/ppc/kernel.xml
===================================================================
--- BOOK/boot/ppc/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/ppc/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/ppc64/kernel.xml
===================================================================
--- BOOK/boot/ppc64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/ppc64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -31,7 +31,15 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-    <para os="m1">To ensure that your system boots and you can properly run both
-    32 bit and 64 bit binaries, please make sure that you enable support for
-    ELF and emulations for 32bit ELF into the kernel.</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/kernel.xml"
+    xpointer="xpointer(//*[@os='m1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/sparc/kernel.xml
===================================================================
--- BOOK/boot/sparc/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/sparc/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/sparc64/kernel.xml
===================================================================
--- BOOK/boot/sparc64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/sparc64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/x86/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -36,4 +36,12 @@
     href="../../bootable/x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86_64/kernel.xml
===================================================================
--- BOOK/boot/x86_64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/boot/x86_64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <para os="m1">To ensure that your system boots and you can properly run both
Index: BOOK/bootable/alpha/kernel.xml
===================================================================
--- BOOK/bootable/alpha/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/alpha/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <para os="ba">The following patch fixes some inline assembler in the kernel:</para>
Index: BOOK/bootable/mips/kernel.xml
===================================================================
--- BOOK/bootable/mips/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/mips/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <para os="ba">The following patch merges changes from Linux-MIPS into
Index: BOOK/bootable/ppc/kernel.xml
===================================================================
--- BOOK/bootable/ppc/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/ppc/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/ppc64/kernel.xml
===================================================================
--- BOOK/bootable/ppc64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/ppc64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/sparc/kernel.xml
===================================================================
--- BOOK/bootable/sparc/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/sparc/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/x86/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -27,4 +27,9 @@
     file in the kernel source tree for alternative methods to the way this
     book configures the kernel.</para>
+
+    <para os="p1">The following patch fixes on intialization issue with the tulip
+    network driver:</para>
+
+<screen os="p2"><userinput>patch -Np1 -i ../&linux-tulip-patch;</userinput></screen>
 
     <para os="b">Prepare for compilation by running the following command:</para>
Index: BOOK/bootable/x86_64/kernel.xml
===================================================================
--- BOOK/bootable/x86_64/kernel.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/bootable/x86_64/kernel.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -25,4 +25,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/introduction/common/changelog.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -51,4 +51,8 @@
           <para>[jim] - Updated Linux to 2.6.17.9 and Linux Headers to 2.6.17.9-08202006.</para>
         </listitem>
+        <listitem>
+          <para>[jim] - Added Linux Tulip Patch to all Linux 2.6.17.9 builds. Fixes an
+          initialization error.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/materials/common/patches.xml	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -182,4 +182,13 @@
 
     <varlistentry>
+      <term>Linux Tulip Update Patch - <token>&linux-tulip-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink
+        url="&patches-root;&linux-tulip-patch;"/></para>
+        <para>MD5 sum: <literal>&linux-tulip-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Mktemp Tempfile Patch - <token>&mktemp-tempfile-patch-size;</token>:</term>
       <listitem>
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 8bb5996f0a63768f323faeb8e58ba61f9895fb69)
+++ BOOK/patches.ent	(revision 04899b7cff914fa555ef1755c58226ddd7b7b134)
@@ -81,4 +81,8 @@
 <!ENTITY kbd-gcc4_fixes-patch-size "1.5 KB">
 
+<!ENTITY linux-tulip-patch "linux-&linux-version;-tulip-1.patch">
+<!ENTITY linux-tulip-patch-md5 "0dd7027a8cb8e59c74c24ff0a8f45f3b">
+<!ENTITY linux-tulip-patch-size "8 KB">
+
 <!ENTITY mktemp-tempfile-patch "mktemp-&mktemp-version;-add_tempfile-3.patch">
 <!ENTITY mktemp-tempfile-patch-md5 "65d73faabe3f637ad79853b460d30a19">