Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/alpha-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: OK/final-system/common/glib.xml
===================================================================
--- BOOK/final-system/common/glib.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ 	(revision )
@@ -1,184 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-glib" role="wrap">
-  <?dbhtml filename="glib.html"?>
-
-  <title>Glib-&glib-version;</title>
-
-  <indexterm zone="ch-system-glib">
-    <primary sortas="a-Glib">Glib</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>Glib is a tool to help you insert the correct compiler options
-    on the command line when compiling applications and libraries.</para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Glib</title>
-
-    <para os="a">Prepare Glib for compilation:</para>
-
-<screen os="b"><userinput>./configure --prefix=/usr --sysconfdir=/etc</userinput></screen>
-
-    <para os="c">Compile the package:</para>
-
-<screen os="d"><userinput>make</userinput></screen>
-
-    <para os="e">To test the results, issue:
-    <userinput>make -k check</userinput>.</para>
-
-    <para os="f">Install the package:</para>
-
-<screen os="g"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-glib" role="content">
-    <title>Contents of Glib</title>
-
-    <segmentedlist>
-      <segtitle>Installed programs</segtitle>
-      <segtitle>Installed libraries</segtitle>
-      <segtitle>Installed directory</segtitle>
-
-      <seglistitem>
-        <seg>gdbus, gio-querymodules, glib-compile-schemas, glib-genmarshal,
-        glib-gettextize, glib-mkenums, gobject-query, gsettings, gtester
-        and gtester-report</seg>
-        <seg>libglib-2.0.so, libgmodule-2.0.so, libgthread-2.0.so,
-        libgobject-2.0.so and libgio-2.0.so</seg>
-        <seg>/usr/share/glib-2.0, /usr/share/gtk-doc/html/glib, /usr/lib/glib-2.0
-       and /usr/include/glib-2.0</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="gdbus">
-        <term><command>gdbus</command></term>
-        <listitem>
-          <para>Introspect and call remote objects.</para>
-          <indexterm zone="ch-system-glib gdbus">
-            <primary sortas="b-gdbus">gdbus</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gio-querymodules">
-        <term><command>gio-querymodules</command></term>
-        <listitem>
-          <para><command>gio-querymodules</command> creates a giomodule.cache file
-       in the listed directories. This file lists the implemented extension points
-       for each module that has been found. It is used by GIO at runtime to avoid 
-       opening all modules just to find out which extension points they are
-       implementing.</para>
-          <indexterm zone="ch-system-glib gio-querymodules">
-            <primary sortas="b-gio-querymodules">gio-querymodules</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="glib-compile-schemas">
-        <term><command>glib-compile-schemas</command></term>
-        <listitem>
-          <para>GSettings schema compiler.</para>
-          <indexterm zone="ch-system-glib glib-compile-schemas">
-            <primary sortas="b-glib-compile-schemas">glib-compile-schemas</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="glib-genmarshal">
-        <term><command>glib-genmarshal</command></term>
-        <listitem>
-          <para>C code marshaller generation utility for GLib closures.</para>
-          <indexterm zone="ch-system-glib glib-genmarshal">
-            <primary sortas="b-glib-genmarshal">glib-genmarshal</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="glib-gettextize">
-        <term><command>glib-gettextize</command></term>
-        <listitem>
-          <para><command>glib-gettextize</command> helps to prepare a 
-       source package for being internationalized through gettext. It is a variant of 
-       the <command>gettextize</command> that ships with gettext.</para>
-          <indexterm zone="ch-system-glib glib-gettextize">
-            <primary sortas="b-glib-gettextize">glib-gettextize</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="glib-mkenums">
-        <term><command>glib-mkenums</command></term>
-        <listitem>
-          <para>C language enum description generation utility.</para>
-          <indexterm zone="ch-system-glib glib-mkenums">
-            <primary sortas="b-glib-mkenums">glib-mkenums</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gobject-query">
-        <term><command>gobject-query</command></term>
-        <listitem>
-          <para><command>gobject-query</command> takes a mandatory argument that specifies
-            whether it should iterate over the fundamental types or print a type tree.</para>
-          <indexterm zone="ch-system-glib gobject-query">
-            <primary sortas="b-gobject-query">gobject-query</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gsettings">
-        <term><command>gsettings</command></term>
-        <listitem>
-          <para><command>gsettings</command> offers a simple commandline interface to 
-           <command>GSettings</command>. It lets you get, set or monitor an individual key 
-           for changes.</para>
-          <indexterm zone="ch-system-glib gsettings">
-            <primary sortas="b-gsettings">gsettings</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gtester">
-        <term><command>gtester</command></term>
-        <listitem>
-          <para><command>gtester</command> is a utility to run unit tests that have been
-             written using the GLib test framework.</para>
-          <indexterm zone="ch-system-glib gtester">
-            <primary sortas="b-gtester">gtester</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gtester-report">
-        <term><command>gtester-report</command></term>
-        <listitem>
-          <para><command>gtester-report</command> is a script which converts the XML output
-             generated by gtester into HTML.</para>
-          <indexterm zone="ch-system-glib gtester-report">
-            <primary sortas="b-gtester-report">gtester-report</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/common/shadow.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -34,11 +34,7 @@
     </note>
 
-    <para os="f1">Fix an issue with the Russian man pages:</para>
-
-    <screen os="f2"><userinput>sed -i 's/man_MANS = $(man_nopam) /man_MANS = /' man/ru/Makefile.in</userinput></screen>
-
     <para os="b">Prepare Shadow for compilation:</para>
 
-<screen os="c"><userinput>./configure --sysconfdir=/etc --without-nscd</userinput></screen>
+<screen os="c"><userinput>./configure --sysconfdir=/etc</userinput></screen>
 
 <para os="d">The meaning of the configure options:</para>
@@ -52,9 +48,4 @@
     </varlistentry>
     
-    <varlistentry>
-      <term><parameter>--without-nscd</parameter></term>
-      <listitem><para>Disabled support for NSCD prevents shadow from
-        working on CLFS</para></listitem>
-     </varlistentry> 
   </variablelist>
 
@@ -78,5 +69,5 @@
     <para os="m" id="shadow-login_defs">Instead of using the default
     <emphasis>crypt</emphasis> method, use the more secure
-    <emphasis>MD5</emphasis> method of password encryption, which also allows
+    <emphasis>SHA512</emphasis> method of password encryption, which also allows
     passwords longer than 8 characters. It is also necessary to change the
     obsolete <filename class="directory">/var/spool/mail</filename> location
@@ -91,5 +82,5 @@
 
 <screen os="s"><userinput>sed -i /etc/login.defs \
-    -e 's@#\(ENCRYPT_METHOD \).*@\1MD5@' \
+    -e 's@#\(ENCRYPT_METHOD \).*@\1SHA512@' \
     -e 's@/var/spool/mail@/var/mail@'</userinput></screen>
 
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/mips-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/mips64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -45,7 +45,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: OK/final-system/multilib/glib-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glib-64bit.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ 	(revision )
@@ -1,57 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-glib" role="wrap">
-  <?dbhtml filename="glib-64bit.html"?>
-
-  <title>Glib-&glib-version; 64Bit</title>
-
-  <indexterm zone="ch-system-glib">
-    <primary sortas="a-Glib">Glib</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/glib.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Glib</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --libdir=/usr/lib64 \
-    --sysconfdir=/etc</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/glib.xml"
-  xpointer="xpointer(id('contents-glib'))"/>
-
-</sect1>
Index: OK/final-system/multilib/glib-n32.xml
===================================================================
--- BOOK/final-system/multilib/glib-n32.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ 	(revision )
@@ -1,62 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-glib-n32" role="wrap">
-  <?dbhtml filename="glib-n32.html"?>
-
-  <title>Glib-&glib-version; N32 Libraries</title>
-
-  <indexterm zone="ch-system-glib-n32">
-    <primary sortas="a-Glib">Glib</primary>
-    <secondary>N32</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/glib.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Glib</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure --prefix=/usr --libdir=/usr/lib32 \
-    --sysconfdir=/etc</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-glib" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/final-system/multilib/glib.xml
===================================================================
--- BOOK/final-system/multilib/glib.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ 	(revision )
@@ -1,61 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-glib-32" role="wrap">
-  <?dbhtml filename="glib.html"?>
-
-  <title>Glib-&glib-version; 32 Bit Libraries</title>
-
-  <indexterm zone="ch-system-glib-32">
-    <primary sortas="a-Glib">Glib</primary>
-    <secondary>32 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/glib.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Glib</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure --prefix=/usr --sysconfdir=/etc</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glib.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-glib" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/final-system/multilib/shadow.xml
===================================================================
--- BOOK/final-system/multilib/shadow.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/multilib/shadow.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -28,17 +28,7 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='f1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='f2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/shadow.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen os="c"><userinput>CC="gcc ${BUILD64}" ./configure --sysconfdir=/etc \
-   --without-libpam --without-audit --without-selinux \
-   --without-nscd</userinput></screen>
+<screen os="c"><userinput>CC="gcc ${BUILD64}" ./configure --sysconfdir=/etc</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/ppc-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -39,6 +39,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/sparc-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -39,6 +39,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/x86-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/glib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -39,6 +39,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/materials/common/packages.xml	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -214,13 +214,4 @@
 
     <varlistentry>
-      <term>Glib (&glib-version;) - <token>&glib-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&glib-home;"/></para>
-        <para>Download: <ulink url="&glib-url;"/></para>
-        <para>MD5 sum: <literal>&glib-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>GMP (&gmp-version;) - <token>&gmp-size;</token>:</term>
       <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 8518b4006c2e9dac5973eb961fa882a3abf95f0f)
+++ BOOK/packages.ent	(revision 51129d2a893be2a7939bdb5ba7dab0d9c0ca243e)
@@ -176,11 +176,4 @@
 <!ENTITY gettext-home "&gnu-software;gettext">
 
-<!ENTITY glib-main-version "2.28">
-<!ENTITY glib-version "&glib-main-version;.8">
-<!ENTITY glib-size "5,104 KB">
-<!ENTITY glib-url "http://ftp.gnome.org/pub/gnome/sources/glib/&glib-main-version;/glib-&glib-version;.tar.xz">
-<!ENTITY glib-md5 "710e8390ae0600feebc9143c23e9da52">
-<!ENTITY glib-home "http://developer.gnome.org/glib/">
-
 <!ENTITY gmp-version "5.0.5">
 <!ENTITY gmp-size "2.0 MB">