Index: BOOK/boot/common/shadow.xml
===================================================================
--- BOOK/boot/common/shadow.xml	(revision c7eb7a24a0e29e5465c4c427f5f56561d769a195)
+++ BOOK/boot/common/shadow.xml	(revision 51979fc8bd0c289ec6b0bb2fc168c70ab9494236)
@@ -32,5 +32,5 @@
 sed -e 's/groups$(EXEEXT) //' \
     -e 's/= nologin$(EXEEXT)/= /' \
-    -e 's/\(^suidu*bins = \).*/\1/' \
+    -e 's/\(^suidu*bins = \).*/\1\\/' \
     src/Makefile.in.orig &gt; src/Makefile.in</userinput></screen>
 
@@ -48,24 +48,5 @@
     --build=${CLFS_HOST} \
     --host=${CLFS_TARGET} \
-    --cache-file=config.cache \
-    --enable-subordinate-ids=no</userinput></screen>
-
-    <variablelist os="g">
-      <title>The meaning of the configure options:</title>
-
-      <varlistentry os="h">
-        <term><parameter>--enable-subordinate-ids=no</parameter></term>
-        <listitem>
-          <para>Disable subordinate ids to allow Shadow to cross-compile
-          successfully.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-    <para os="i">Append to <filename>config.h</filename> since a test program
-    will not be ran when cross-compiling:</para>
-
-<screen os="j"><userinput>echo "#define ENABLE_SUBIDS 1" &gt;&gt; config.h</userinput></screen>
+    --cache-file=config.cache</userinput></screen>
 
     <para os="k">Compile the package:</para>
Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision c7eb7a24a0e29e5465c4c427f5f56561d769a195)
+++ BOOK/final-system/common/shadow.xml	(revision 51979fc8bd0c289ec6b0bb2fc168c70ab9494236)
@@ -47,10 +47,14 @@
   -e 's/groups$(EXEEXT) //' -e 's/= nologin$(EXEEXT)/= /'
 find man -name Makefile.in -exec sed -i \
-  -e 's/man1\/groups\.1 //' -e 's/man8\/nologin\.8 //' '{}' \;</userinput></screen>
+  -e 's/man1\/groups\.1 //' \
+  -e 's/man3\/getspnam\.3 //' \
+  -e 's/man8\/nologin\.8 //' \
+  -e 's/man5\/passwd\.5 //' '{}' \;</userinput></screen>
 
     <para os="d">Prepare Shadow for compilation:</para>
 
 <screen os="e"><userinput>./configure \
-    --sysconfdir=/etc</userinput></screen>
+    --sysconfdir=/etc \
+    --with-group-max-length=32</userinput></screen>
 
   <variablelist os="f">
@@ -62,4 +66,10 @@
       <filename class="directory">/etc</filename>, rather than
       <filename class="directory">/usr/etc</filename>.</para></listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term><parameter>--with-group-max-length=32</parameter></term>
+      <listitem><para>The maximum user name is 32 characters.
+      Make the maximum group name the same.</para></listitem>
     </varlistentry>
 
Index: BOOK/final-system/multilib/shadow.xml
===================================================================
--- BOOK/final-system/multilib/shadow.xml	(revision c7eb7a24a0e29e5465c4c427f5f56561d769a195)
+++ BOOK/final-system/multilib/shadow.xml	(revision 51979fc8bd0c289ec6b0bb2fc168c70ab9494236)
@@ -39,5 +39,6 @@
 
 <screen os="c"><userinput>CC="gcc ${BUILD64}" ./configure \
-    --sysconfdir=/etc</userinput></screen>
+    --sysconfdir=/etc \
+    --with-group-name-max-length=32</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision c7eb7a24a0e29e5465c4c427f5f56561d769a195)
+++ BOOK/introduction/common/changelog.xml	(revision 51979fc8bd0c289ec6b0bb2fc168c70ab9494236)
@@ -37,4 +37,14 @@
 -->
     <listitem>
+      <para>01 June 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[William Harrington] - Upgrade Shadow to 4.5. Fixes
+          ticket <ulink url="&clfs-ticket-root;1150">#1150.</ulink></para> 
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>29 May 2017</para>
       <itemizedlist>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision c7eb7a24a0e29e5465c4c427f5f56561d769a195)
+++ BOOK/packages.ent	(revision 51979fc8bd0c289ec6b0bb2fc168c70ab9494236)
@@ -424,8 +424,8 @@
 <!ENTITY sed-home "&gnu-software;sed">
 
-<!ENTITY shadow-version "4.2.1">
-<!ENTITY shadow-size "1,595 KB">
-<!ENTITY shadow-url "http://pkg-shadow.alioth.debian.org/releases/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "2bfafe7d4962682d31b5eba65dba4fc8">
+<!ENTITY shadow-version "4.5">
+<!ENTITY shadow-size "1,627 KB">
+<!ENTITY shadow-url "https://github.com/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
+<!ENTITY shadow-md5 "c350da50c2120de6bb29177699d89fe3">
 <!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org">
 