Index: temp-tools/64/expect.xml
===================================================================
--- temp-tools/64/expect.xml	(revision 61fd9eb3417dc890604e4896db71a978c48a7240)
+++ 	(revision )
@@ -1,73 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-tools-expect" role="wrap">
-  <?dbhtml filename="expect.html"?>
-
-  <title>Expect-&expect-version;</title>
-
-  <indexterm zone="ch-temp-tools-expect">
-    <primary sortas="a-Expect">Expect</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/expect.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Expect</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-<screen><userinput>CC=""gcc ${BUILD64}" ./configure --prefix=/tools --with-tcl=/tools/lib \
-   --with-tclinclude=/tools/include --with-x=no</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/expect.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/expect.xml"
-  xpointer="xpointer(id('contents-expect'))"/>
-
-</sect1>
Index: temp-tools/mips64-64-chapter.xml
===================================================================
--- temp-tools/mips64-64-chapter.xml	(revision 61fd9eb3417dc890604e4896db71a978c48a7240)
+++ temp-tools/mips64-64-chapter.xml	(revision 5427d7e3d2671a2a4b68b4c68f96b6680c0057d9)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
Index: temp-tools/sparc64-64-chapter.xml
===================================================================
--- temp-tools/sparc64-64-chapter.xml	(revision 61fd9eb3417dc890604e4896db71a978c48a7240)
+++ temp-tools/sparc64-64-chapter.xml	(revision 5427d7e3d2671a2a4b68b4c68f96b6680c0057d9)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>
Index: temp-tools/x86_64-64-chapter.xml
===================================================================
--- temp-tools/x86_64-64-chapter.xml	(revision 61fd9eb3417dc890604e4896db71a978c48a7240)
+++ temp-tools/x86_64-64-chapter.xml	(revision 5427d7e3d2671a2a4b68b4c68f96b6680c0057d9)
@@ -15,5 +15,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/tcl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/expect.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/expect.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/dejagnu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="64/perl.xml"/>