Index: BOOK/stylesheets/clfs-profile.xsl
===================================================================
--- BOOK/stylesheets/clfs-profile.xsl	(revision 4a392527b781300876ac453ed229448f18f73e12)
+++ BOOK/stylesheets/clfs-profile.xsl	(revision 5508d22676602e7a2e863b67d691fe10ab754dc9)
@@ -1,5 +1,4 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns="http://www.w3.org/1999/xhtml"
   xmlns:c="http://schema.cross-lfs.org/book"
   version="1.0">
@@ -50,4 +49,5 @@
           </xsl:with-param>
           <xsl:with-param name="bits" select="substring-before(concat($bits, ','), ',')" />
+          <xsl:with-param name="multi"><xsl:text>multi</xsl:text></xsl:with-param>
         </xsl:call-template>
         <xsl:if test="$remainingbits">
@@ -67,4 +67,5 @@
           <xsl:with-param name="idsuffix" />
           <xsl:with-param name="bits" select="substring-before(concat($bits, ','), ',')" />
+          <xsl:with-param name="multi"><xsl:text>single</xsl:text></xsl:with-param>
         </xsl:call-template>
       </xsl:otherwise>
@@ -76,7 +77,7 @@
     <xsl:param name="idsuffix" /> <!-- Suffix to attach to the end of the ID for this perticular instance -->
     <xsl:param name="bits" /> <!-- Which bit sizes to create a package for -->
+    <xsl:param name="multi" /> <!-- multi/single build -->
 
     <xsl:for-each select="sect1">
-
       <xsl:copy>
         <xsl:attribute name="id">
@@ -85,4 +86,7 @@
         <xsl:attribute name="role">
           <xsl:text>package</xsl:text>
+        </xsl:attribute>
+        <xsl:attribute name="condition">
+          <xsl:value-of select="$multi" />
         </xsl:attribute>
         <xsl:processing-instruction name="dbhtml">
@@ -108,4 +112,13 @@
   <!-- Apply the profile to the 32bit package -->
 
+  <xsl:template match="//sect1/title" mode="filter-bits-32">
+    <xsl:element name="title">
+      <xsl:copy-of select="@*|node()" />
+      <xsl:if test="contains($clfs.multilib, ',')">
+        <xsl:text> - 32Bit</xsl:text>
+      </xsl:if>
+    </xsl:element>
+  </xsl:template>
+
   <xsl:template match="@*|node()" mode="filter-bits-32">
     <xsl:variable name="ismultilib">
@@ -135,4 +148,13 @@
 
   <!-- Apply the profile to the n32 package -->
+  
+  <xsl:template match="//sect1/title" mode="filter-bits-n32">
+    <xsl:element name="title">
+      <xsl:copy-of select="@*|node()" />
+      <xsl:if test="contains($clfs.multilib, ',')">
+        <xsl:text> - N32</xsl:text>
+      </xsl:if>
+    </xsl:element>
+  </xsl:template>
 
   <xsl:template match="@*|node()" mode="filter-bits-n32">
@@ -163,4 +185,13 @@
 
   <!-- Apply the profile to the 64bit package -->
+  
+  <xsl:template match="//sect1/title" mode="filter-bits-64">
+    <xsl:element name="title">
+      <xsl:copy-of select="@*|node()" />
+      <xsl:if test="contains($clfs.multilib, ',')">
+        <xsl:text> - 64Bit</xsl:text>
+      </xsl:if>
+    </xsl:element>
+  </xsl:template>
 
   <xsl:template match="@*|node()" mode="filter-bits-64">
Index: BOOK/testpart.xml
===================================================================
--- BOOK/testpart.xml	(revision 4a392527b781300876ac453ed229448f18f73e12)
+++ BOOK/testpart.xml	(revision 5508d22676602e7a2e863b67d691fe10ab754dc9)
@@ -23,7 +23,11 @@
       <c:package id="blah" c:multibuild="false">
         <sect1>
-          <title>Blah</title>
+          <title><phrase>Blah</phrase></title>
 
           <para>Testing... 1.. 2.. 3..</para>
+
+          <para c:bits="32">32</para>
+          <para c:bits="n32">n32</para>
+          <para c:bits="64">64</para>
 
         </sect1>
@@ -32,11 +36,5 @@
       <c:package id="blarg" c:multibuild="true">
         <sect1>
-          <title>Blarg
-            <phrase c:multilib="true">
-              <phrase c:bits="32"> - 32Bit</phrase>
-              <phrase c:bits="n32"> - N32</phrase>
-              <phrase c:bits="64"> - 64Bit</phrase>
-            </phrase>
-          </title>
+          <title>Blarg</title>
 
           <para>Testing... 1.. 2.. 3..</para>