Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 52f91b945250f2c3c3343e523a08a3225c736fac)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 5554e3d1baa54d0383901904d0480d3272443383)
@@ -16,5 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/testsuitesagain.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/temp-perl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/linux-headers.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/glibc.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 52f91b945250f2c3c3343e523a08a3225c736fac)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 5554e3d1baa54d0383901904d0480d3272443383)
@@ -16,7 +16,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/testsuitesagain.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/temp-perl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/linux-headers.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/linux-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/man-pages.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/glibc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/glibc-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/adjusting.xml"/>
Index: OK/final-system/sparc64/glibc.xml
===================================================================
--- BOOK/final-system/sparc64/glibc.xml	(revision 52f91b945250f2c3c3343e523a08a3225c736fac)
+++ 	(revision )
@@ -1,124 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-glibc-32" role="wrap">
-  <?dbhtml filename="glibc.html"?>
-
-  <title>Glibc-&glibc-version; 32 Bit Libraries</title>
-
-  <indexterm zone="ch-system-glibc-32">
-    <primary sortas="a-Glibc">Glibc</primary>
-    <secondary>32 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/glibc.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Glibc</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='z'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-<screen os="h"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" \
-    ../glibc-&glibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
-    --libexecdir=/usr/lib/glibc --host=${CLFS_TARGET32}</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../multilib/glibc.xml"
-    xpointer="xpointer(//*[@os='l1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../multilib/glibc.xml"
-    xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='m'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='n'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='o'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='p'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='q'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='r'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='t'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-glibc" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/final-system/sparc64/linux-headers.xml
===================================================================
--- BOOK/final-system/sparc64/linux-headers.xml	(revision 52f91b945250f2c3c3343e523a08a3225c736fac)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-linux-headers" role="wrap">
-  <?dbhtml filename="linux-headers.html"?>
-
-  <title>Linux-Headers-&linux-version;</title>
-
-  <indexterm zone="ch-system-linux-headers">
-    <primary sortas="a-Linux-Headers">Linux-Headers</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/linux-headers.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Linux-Headers</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/linux-headers.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/linux-headers.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/linux-headers.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/linux-headers.xml"
-  xpointer="xpointer(id('contents-linux-headers'))"/>
-
-</sect1>