Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/cross-tools/common/glibc.xml	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -30,5 +30,5 @@
 
     <note os="a">
-      <para>Some packages outside of LFS suggest installing GNU libiconv in
+      <para>Some packages outside of CLFS suggest installing GNU libiconv in
       order to translate data from one encoding to another. The project's
       home page (<ulink url="http://www.gnu.org/software/libiconv/"/>) says
@@ -37,5 +37,5 @@
       implementation cannot convert from/to Unicode.</quote> Glibc provides
       an <function>iconv()</function> implementation and can convert from/to
-      Unicode, therefore libiconv is not required on an LFS system.</para>
+      Unicode, therefore libiconv is not required on an CLFS system.</para>
     </note>
 
Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/final-system/common/shadow.xml	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -51,5 +51,5 @@
       <term><parameter>--without-libpam</parameter></term>
       <listitem><para>Support for Linux-PAM is enabled by default in Shadow,
-      however PAM is not installed on a base LFS system, so this switch
+      however PAM is not installed on a base CLFS system, so this switch
       disables PAM support in Shadow. For instructions to install PAM and
       link Shadow to it, you can look at
@@ -59,5 +59,5 @@
       <term><parameter>--without-audit</parameter></term>
       <listitem><para>Support for auditing is enabled by default, but a
-      library that it needs is not installed in a base LFS system. This
+      library that it needs is not installed in a base CLFS system. This
       switch disables auditing support.</para></listitem>
     </varlistentry>
@@ -65,5 +65,5 @@
       <term><parameter>--without-selinux</parameter></term>
       <listitem><para>Support for selinux is enabled by default, but selinux
-      is not built in a base LFS system and configure will fail without this
+      is not built in a base CLFS system and configure will fail without this
       switch.</para></listitem>
     </varlistentry>
@@ -92,7 +92,7 @@
     obsolete <filename class="directory">/var/spool/mail</filename> location
     for user mailboxes that Shadow uses by default to the <filename
-    class="directory">/var/mail</filename> location used currently. Both of
-    these can be accomplished by changing the relevant configuration file
-    while copying it to its destination:</para>
+    class="directory">/var/mail</filename> location used currently. Use the
+    following sed command to make these changes to the appropriate
+    configuration file:</para>
 
     <indexterm zone="shadow-login_defs" os="s">
@@ -124,10 +124,4 @@
 rm -v ${LFS}/lib/libshadow.so
 ln -svf ../../lib/libshadow.so.0 ${LFS}/usr/lib/libshadow.so</userinput></screen>
-
-    <para os="z">The <option>-D</option> option of the <command>useradd</command>
-    program requires the <filename class="directory">/etc/default</filename>
-    directory for it to work properly:</para>
-
-<screen os="za"><userinput>install -dv ${LFS}/etc/default</userinput></screen>
 
   </sect2>
@@ -157,4 +151,10 @@
 
 <screen role="nodump"><userinput>grpconv</userinput></screen>
+
+    <para>To view or change the default settings for new user accounts that
+    you create, you can edit <filename>/etc/default/useradd</filename>. See 
+    <command>man useradd</command> or
+    <ulink url="&blfs-root;view/svn/postlfs/skel.html"/> for more
+    information.</para>
 
   </sect2>
Index: BOOK/final-system/common/vim.xml
===================================================================
--- BOOK/final-system/common/vim.xml	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/final-system/common/vim.xml	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -88,8 +88,10 @@
 <screen os="j"><userinput>make DESTDIR=${LFS} install</userinput></screen>
 
-    <para os="k">Many users are used to using <command>vi</command> instead of
-    <command>vim</command>. To allow execution of <command>vim</command>
-    when users habitually enter <command>vi</command>, create a
-    symlink:</para>
+    <para os="k">Many users are accustomed to using <command>vi</command>
+    instead of <command>vim</command>. Some programs, such as
+    <command>vigr</command> and <command>vipw</command>, also use
+    <command>vi</command>. Create a symlink to permit execution of
+    <command>vim</command> when users habitually enter <command>vi</command>
+    and allow programs that use <command>vi</command> to work:</para>
 
 <screen os="l"><userinput>ln -sv vim ${LFS}/usr/bin/vi</userinput></screen>
@@ -103,9 +105,9 @@
 <screen os="n"><userinput>ln -sv ../vim/vim&vim-version2;/doc ${LFS}/usr/share/doc/vim-&vim-version;</userinput></screen>
 
-    <para os="p">If an X Window System is going to be installed on the LFS
-    system, it may be necessary to recompile Vim after installing X. Vim
+    <para os="o">If an X Window System is going to be installed on the LFS
+    system, you may want to recompile Vim after installing X. Vim
     comes with a GUI version of the editor that requires X and some
-    additional libraries to be installed. For more information on this
-    process, refer to the Vim documentation and the Vim installation page
+    additional libraries to be installed. For more information, refer to the
+    Vim documentation and the Vim installation page
     in the BLFS book at <ulink
     url="&blfs-root;view/svn/postlfs/editors.html#postlfs-editors-vim"/>.</para>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/general.ent	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "SVN-20060618">
+<!ENTITY version "SVN-20060621">
 <!ENTITY version-ARM "&version;-ARM">
 
-<!ENTITY releasedate "June 18, 2006">
+<!ENTITY releasedate "June 21, 2006">
 <!ENTITY milestone "0.2">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/introduction/common/changelog.xml	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -38,5 +38,14 @@
 
     <listitem>
-      <para>Date</para>
+      <para>June 21, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated to linux-2.6.17.1 and linux-headers-2.6.17.1-06202006-1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>June 19, 2006</para>
       <itemizedlist>
         <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision f867ec065866fab5463ce4b082b64a61bc37b665)
+++ BOOK/packages.ent	(revision 5590e0de543322c68e018a16e45c3538ced2a31a)
@@ -233,14 +233,14 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-version "2.6.17">
-<!ENTITY linux-size "40,352 KB">
+<!ENTITY linux-version "2.6.17.1">
+<!ENTITY linux-size "40,356 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "37ddefe96625502161f075b9d907f21e">
+<!ENTITY linux-md5 "0a8f1a66646bc6ac7b3ec3e8f51652a0">
 <!ENTITY linux-home "http://www.kernel.org/">
 
-<!ENTITY linux-headers-version "&linux-version;-06192006">
+<!ENTITY linux-headers-version "&linux-version;-06192006-1">
 <!ENTITY linux-headers-size "1,496 KB">
 <!ENTITY linux-headers-url "http://ftp.jg555.com/headers/linux-headers-&linux-headers-version;.tar.bz2">
-<!ENTITY linux-headers-md5 "4410d6e3b30aca67a130fcebf3f38ff3">
+<!ENTITY linux-headers-md5 "6e8612219ca1514c3080b949c58d2e31">
 <!ENTITY linux-headers-home "http://headers.cross-lfs.org/">
 