Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision 6d6e80e3735b67ff47e1e4ea83dd5fff01296716)
+++ BOOK/final-system/common/shadow.xml	(revision 5861bcf40c6240c57d7a01ad9f90ac13c1d41ba6)
@@ -54,7 +54,7 @@
     --sysconfdir=/etc</userinput></screen>
 
-<para os="f">The meaning of the new configure option:</para>
-
-  <variablelist os="g">
+  <variablelist os="f">
+    <title>The meaning of the new configure option:</title>
+
     <varlistentry>
       <term><parameter>--sysconfdir=/etc</parameter></term>
@@ -66,15 +66,15 @@
   </variablelist>
 
-    <para os="h">Compile the package:</para>
-
-<screen os="i"><userinput>make</userinput></screen>
-
-    <para os="j">This package does not come with a test suite.</para>
-
-    <para os="k">Install the package:</para>
-
-<screen os="l"><userinput>make install</userinput></screen>
-
-    <para os="m" id="shadow-login_defs">Instead of using the default
+    <para os="g">Compile the package:</para>
+
+<screen os="h"><userinput>make</userinput></screen>
+
+    <para os="i">This package does not come with a test suite.</para>
+
+    <para os="j">Install the package:</para>
+
+<screen os="k"><userinput>make install</userinput></screen>
+
+    <para os="l" id="shadow-login_defs">Instead of using the default
     <emphasis>DES</emphasis> method, use the more secure
     <emphasis>SHA512</emphasis> method of password encryption, which also allows
@@ -86,17 +86,17 @@
     configuration file:</para>
 
-    <indexterm os="n" zone="shadow-login_defs">
+    <indexterm os="m" zone="shadow-login_defs">
       <primary sortas="e-/etc/login.defs">/etc/login.defs</primary>
     </indexterm>
 
-<screen os="s"><userinput>sed -i /etc/login.defs \
+<screen os="n"><userinput>sed -i /etc/login.defs \
     -e 's@#\(ENCRYPT_METHOD \).*@\1SHA512@' \
     -e 's@/var/spool/mail@/var/mail@'</userinput></screen>
 
-    <para os="t">Move a misplaced program to its proper location:</para>
-
-<screen os="u"><userinput>mv -v /usr/bin/passwd /bin</userinput></screen>
-
-    <para os="v">The <command>login</command> program will write to
+    <para os="o">Move a misplaced program to its proper location:</para>
+
+<screen os="p"><userinput>mv -v /usr/bin/passwd /bin</userinput></screen>
+
+    <para os="q">The <command>login</command> program will write to
     <filename>/var/log/faillog</filename>, to record failed login attempts, and
     <filename>/var/log/lastlog</filename>, to record the date and
@@ -105,5 +105,5 @@
     create them now and give them appropriate ownership and permissions:</para>
 
-<screen os="w"><userinput>touch /var/log/{fail,last}log
+<screen os="r"><userinput>touch /var/log/{fail,last}log
 chgrp -v utmp /var/log/{fail,last}log
 chmod -v 664 /var/log/{fail,last}log</userinput></screen>
Index: BOOK/final-system/multilib/shadow.xml
===================================================================
--- BOOK/final-system/multilib/shadow.xml	(revision 6d6e80e3735b67ff47e1e4ea83dd5fff01296716)
+++ BOOK/final-system/multilib/shadow.xml	(revision 5861bcf40c6240c57d7a01ad9f90ac13c1d41ba6)
@@ -79,21 +79,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='s'])"/>
+    xpointer="xpointer(//*[@os='o'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='t'])"/>
+    xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='u'])"/>
+    xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='v'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='w'])"/>
+    xpointer="xpointer(//*[@os='r'])"/>
 
   </sect2>