Index: final-system/common/glibc.xml
===================================================================
--- final-system/common/glibc.xml	(revision 531b5e5695b3d7e7b6eabc2c18b48f09431ec539)
+++ final-system/common/glibc.xml	(revision 6301b6a74685ba5f571db7a677f38993ca63a4c8)
@@ -122,12 +122,11 @@
       <listitem>
         <para>The <emphasis>math</emphasis> tests, at least on i686, fail in
-  the <emphasis>test-double</emphasis> and <emphasis>test-idouble</emphasis>
-  tests with gcc-&gcc-version;, the <command>grep</command> command will
-  also report an expected (ignored) failure in <emphasis>posix/annexc
-  </emphasis>. These two failures in the math tests appear to be harmless.
-  The math tests may also fail
-        on systems where the CPU is not a relatively new genuine Intel or
-        authentic AMD. Certain optimization settings are also known to be a
-        factor here.</para>
+        the <emphasis>test-double</emphasis> and <emphasis>test-idouble</emphasis>
+        tests with gcc-&gcc-version;, the <command>grep</command> command will
+        also report an expected (ignored) failure in <emphasis>posix/annexc
+        </emphasis>. These two failures in the math tests appear to be harmless.
+        The math tests may also fail on systems where the CPU is not a relatively
+        new genuine Intel or authentic AMD. Certain optimization settings are
+        also known to be a factor here.</para>
       </listitem>
       <listitem>
Index: nal-system/multilib/glibc-n32.xml
===================================================================
--- final-system/multilib/glibc-n32.xml	(revision 531b5e5695b3d7e7b6eabc2c18b48f09431ec539)
+++ 	(revision )
@@ -1,181 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  <!ENTITY % patches-entities SYSTEM "../../patches.ent">
-  %general-entities;
-  %patches-entities;
-]>
-
-<sect1 id="ch-system-glibc-n32" role="wrap">
-  <?dbhtml filename="glibc-n32.html"?>
-
-  <title>Glibc-&glibc-version; N32</title>
-
-  <indexterm zone="ch-system-glibc-n32">
-    <primary sortas="a-Glibc">Glibc</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Glibc</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <para>Now we make sure the Glibc goes into
-    <filename class="directory">/lib32</filename>:</para>
-
-<screen><userinput>echo "slibdir=/lib32" &gt;&gt; configparms</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-<screen><userinput>CC="gcc ${BUILDN32}" CXX="g++ ${BUILDN32}" \
-    ../glibc-&glibc-version;/configure --prefix=/usr \
-    --disable-profile --enable-add-ons --enable-kernel=2.6.0 \
-    --libexecdir=/usr/lib32/glibc --libdir=/usr/lib32</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--libexecdir=/usr/lib32/glibc</parameter></term>
-        <listitem>
-          <para>This changes the location of the <command>pt_chown</command>
-          program from its default of <filename
-          class="directory">/usr/libexec</filename> to <filename
-          class="directory">/usr/lib32/glibc</filename>.</para>
-        </listitem>
-      </varlistentry>
-    </variablelist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='m'])"/>
-
-<!-- items n,o,p here are now the master, not multilib, because
- the tests are known to all pass on multilib_64 -->
-
-<screen os="n"><userinput>make check</userinput></screen>
-
-    <para os="o">The Glibc test suite is highly dependent on certain functions of
-    the host system, in particular the kernel. In general, the Glibc test
-    suite is always expected to pass. However, in certain circumstances,
-    some failures are unavoidable. This is a list of the most common
-    issues:</para>
-
-    <itemizedlist os="p">
-      <listitem>
-        <para>The <emphasis>math</emphasis> tests sometimes fail.
-        Certain optimization settings are known to be a
-        factor here.</para>
-      </listitem>
-      <listitem>
-        <para>The <emphasis>gettext</emphasis> test sometimes fails due to
-        host system issues. The exact reasons are not yet clear.</para>
-      </listitem>
-      <listitem>
-        <para>If you have mounted the LFS partition with the
-        <parameter>noatime</parameter> option, the <emphasis>atime</emphasis> test
-        will fail. As mentioned in <xref linkend="ch-partitioning-mounting"/>,
-        do not use the <parameter>noatime</parameter> option while building
-        LFS.</para>
-      </listitem>
-      <listitem>
-        <para>When running on older and slower hardware, some tests
-        can fail because of test timeouts being exceeded.</para>
-      </listitem>
-    </itemizedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='s'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='t'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='u'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='w'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='x'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='y'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-glibc" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: nal-system/multilib/introduction.xml
===================================================================
--- final-system/multilib/introduction.xml	(revision 531b5e5695b3d7e7b6eabc2c18b48f09431ec539)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-introduction">
-  <?dbhtml filename="introduction.html"?>
-
-  <title>Introduction</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/introduction.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-</sect1>